View Issue Details

IDProjectCategoryView StatusLast Update
0027176LazarusLCLpublic2020-02-11 18:41
Reporterjamie philbrookAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformintel 32/64OSWindowsOS VersionW2k,7,8 etc
Product Version1.2.6Product Build 
Target VersionFixed in Version 
Summary0027176: DragDrop faults.
Description When performing a drag and drop operation starting from lets say
form1 and while hovering over form2, if you perform a form2.show to
make sure the whole form is visible in dragover operation, it generates
a nil pointer fault in the Drag unit.
 
 This is ported code and works fine in delphi.

 A drag operation, once started from lets say form1 is not suppose to
be interrupted or nullified while it's doing a drag over other forms,
paint boxes, ect, until the user releases the mouse.
Steps To Reproduce
 IN my case, I start a drag from a Teditbox and when I drag over a
TpainBox in another form and do a form.Show, in case it's not the one
sitting in front, it generates this problem.

 I guess changing the form that is in front maybe the issue while dragging.


TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

jamie philbrook

2019-05-09 03:25

reporter   ~0116092

Seems I can't close this report,

The issue has been solved long ago with an LAZ upgrade..

Juha Manninen

2020-02-11 18:41

developer   ~0121014

Ok, resolving then.

Issue History

Date Modified Username Field Change
2014-12-17 04:05 jamie philbrook New Issue
2019-05-09 03:25 jamie philbrook Note Added: 0116092
2020-02-11 18:41 Juha Manninen Assigned To => Juha Manninen
2020-02-11 18:41 Juha Manninen Status new => resolved
2020-02-11 18:41 Juha Manninen Resolution open => fixed
2020-02-11 18:41 Juha Manninen LazTarget => -
2020-02-11 18:41 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2020-02-11 18:41 Juha Manninen Note Added: 0121014